petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOCreateMemoryScalableIS

Creates a memory scalable application ordering using two index sets.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreateMemoryScalableIS(IS isapp,IS ispetsc,AO *aoout)

Collective on IS Many br

### Input Parameters

| isapp | - index set that defines an ordering Many br
| ispetsc | - index set that defines another ordering (may be NULL to use the Many brnatural ordering) Many br

### Output Parameter

aoout -the new application ordering Many br

Many br

Notes: The index sets isapp and ispetsc must contain the all the integers 0 to napp-1 (where napp is the length of the index sets) with no duplicates; Many brthat is there cannot be any "holes". Many brComparing with AOCreateBasicIS(), this routine trades memory with message communication. Many br

### Keywords

AO, create

### See Also

AOCreateMemoryScalable(), AODestroy()

Level:beginner
Location:src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages